var crypto = require('crypto');


var tokens = {}

function base64Escape(str) {
  return str.replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, '');
}


function Store(options) {}


Store.prototype.make = function(payload, cb) {
  crypto.randomBytes(32, function(err, buf) {
    if (err) return cb(err);
    var token = base64Escape(buf.toString('base64'));
    tokens[token] = payload;
    cb(null, token);
  });
};


Store.prototype.retrieve = function(token, cb) {
  cb(null, tokens[token]);
};


module.exports = Store;
