 var assert = require('assert'),
  Store = require('../../lib/store/encrypted');


describe('lib/store/encrypted', function() {

  var s = new Store({secret: 's3cr3t'});

  describe('make()', function() {
    it('should make an access_token from string payload', function(done) {
      s.make('abc', function(err, token) {
        if (err) return done(err);
        assert.equal(token, 'wdg0icrQWbb-3FmzQ_oOqA');
        done();
      });
    });

    it('should make an access_token from object payload', function(done) {
      s.make({foo: 'bar'}, function(err, token) {
        if (err) return done(err);
        assert.equal(token, '2TR76BuOIVD_L-neW-MLEg');
        done()
      });
    });
  });


  describe('retrieve()', function() {
    it('should return proper payload', function(done) {
      s.retrieve('2TR76BuOIVD_L-neW-MLEg', function(err, payload) {
        if (err) return done(err);
        assert.deepEqual(payload, {foo: 'bar'});
        done();
      });
    });

    it('should return nothing for nonsense', function(done) {
      s.retrieve('kraken is here', function(err, payload) {
        if (err) return done(err);
        assert.equal(payload, undefined);
        done()
      });
    });
  });

});
