 var assert = require('assert'),
  Store = require('../../lib/store/memory');


describe('lib/store/memory', function() {

  var s = new Store,
    lastToken;

  describe('make()', function() {
    it('should make an access_token from payload', function(done) {
      s.make({foo: 'bar'}, function(err, token) {
        if (err) return done(err);
        lastToken = token;
        assert(/\S{32,}/.test(token));
        done();
      });
    });
  });


  describe('retrieve()', function() {
    it('should return proper payload', function(done) {
      s.retrieve(lastToken, function(err, payload) {
        if (err) return done(err);
        assert.deepEqual(payload, {foo: 'bar'});
        done();
      });
    });

    it('should return nothing for nonsense', function(done) {
      s.retrieve('kraken is here', function(err, payload) {
        if (err) return done(err);
        assert.equal(payload, undefined);
        done()
      });
    });
  });

});
